Bug 1421350 - [abrt] gnome-shell: meta_window_unmanage(): gnome-shell killed by SIGABRT
Summary: [abrt] gnome-shell: meta_window_unmanage(): gnome-shell killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c4462c5f37aabc9da91dd7b4b43...
: 1444090 1457334 1458486 1467782 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-11 11:38 UTC by Marco Kundt
Modified: 2017-12-12 10:24 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:24:43 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (42.72 KB, text/plain)
2017-02-11 11:38 UTC, Marco Kundt
no flags Details
File: cgroup (242 bytes, text/plain)
2017-02-11 11:38 UTC, Marco Kundt
no flags Details
File: core_backtrace (5.00 KB, text/plain)
2017-02-11 11:38 UTC, Marco Kundt
no flags Details
File: dso_list (24.81 KB, text/plain)
2017-02-11 11:38 UTC, Marco Kundt
no flags Details
File: environ (1.97 KB, text/plain)
2017-02-11 11:38 UTC, Marco Kundt
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-11 11:38 UTC, Marco Kundt
no flags Details
File: maps (149.17 KB, text/plain)
2017-02-11 11:38 UTC, Marco Kundt
no flags Details
File: mountinfo (3.83 KB, text/plain)
2017-02-11 11:38 UTC, Marco Kundt
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-11 11:38 UTC, Marco Kundt
no flags Details
File: open_fds (4.23 KB, text/plain)
2017-02-11 11:38 UTC, Marco Kundt
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2017-02-11 11:38 UTC, Marco Kundt
no flags Details
File: var_log_messages (527 bytes, text/plain)
2017-02-11 11:38 UTC, Marco Kundt
no flags Details

Description Marco Kundt 2017-02-11 11:38:29 UTC
Version-Release number of selected component:
gnome-shell-3.22.2-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_unmanage
executable:     /usr/bin/gnome-shell
global_pid:     20861
kernel:         4.9.8-201.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #4 meta_window_unmanage at core/window.c:1389
 #5 handle_other_xevent at x11/events.c:1345
 #6 meta_display_handle_xevent at x11/events.c:1769
 #7 xevent_filter at x11/events.c:1808
 #8 gdk_event_apply_filters at gdkeventsource.c:79
 #9 gdk_event_source_translate_event at gdkeventsource.c:198
 #10 _gdk_x11_display_queue_events at gdkeventsource.c:341
 #11 gdk_display_get_event at gdkdisplay.c:438
 #17 meta_run at core/main.c:572

Potential duplicate: bug 1219988

Comment 1 Marco Kundt 2017-02-11 11:38:35 UTC
Created attachment 1249233 [details]
File: backtrace

Comment 2 Marco Kundt 2017-02-11 11:38:37 UTC
Created attachment 1249234 [details]
File: cgroup

Comment 3 Marco Kundt 2017-02-11 11:38:39 UTC
Created attachment 1249235 [details]
File: core_backtrace

Comment 4 Marco Kundt 2017-02-11 11:38:41 UTC
Created attachment 1249236 [details]
File: dso_list

Comment 5 Marco Kundt 2017-02-11 11:38:42 UTC
Created attachment 1249237 [details]
File: environ

Comment 6 Marco Kundt 2017-02-11 11:38:43 UTC
Created attachment 1249238 [details]
File: limits

Comment 7 Marco Kundt 2017-02-11 11:38:47 UTC
Created attachment 1249239 [details]
File: maps

Comment 8 Marco Kundt 2017-02-11 11:38:49 UTC
Created attachment 1249240 [details]
File: mountinfo

Comment 9 Marco Kundt 2017-02-11 11:38:50 UTC
Created attachment 1249241 [details]
File: namespaces

Comment 10 Marco Kundt 2017-02-11 11:38:52 UTC
Created attachment 1249242 [details]
File: open_fds

Comment 11 Marco Kundt 2017-02-11 11:38:54 UTC
Created attachment 1249243 [details]
File: proc_pid_status

Comment 12 Marco Kundt 2017-02-11 11:38:55 UTC
Created attachment 1249244 [details]
File: var_log_messages

Comment 13 Dan Dragomir 2017-03-18 14:06:27 UTC
Similar problem has been detected:

Problem happened when diffing two folders in Kdiff3. The folders contained Wave files, not text files, but the crash occured before opening a comparison between files, just after the summary dialog. I repeated the operation and the crash occurs about 20% of the time.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_unmanage
executable:     /usr/bin/gnome-shell
global_pid:     16437
kernel:         4.9.13-201.fc25.x86_64
package:        gnome-shell-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 14 Martin 2017-04-20 14:27:24 UTC
*** Bug 1444090 has been marked as a duplicate of this bug. ***

Comment 15 Pierre Ossman 2017-04-21 11:39:43 UTC
Similar problem has been detected:

Inkscape had crapped out generating bleed marks on a document. When gnome-shell restarted inkscape was gone.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_unmanage
executable:     /usr/bin/gnome-shell
global_pid:     3341
kernel:         4.10.10-200.fc25.x86_64
package:        gnome-shell-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            210

Comment 16 Evan McNabb 2017-05-04 15:13:55 UTC
Similar problem has been detected:

IIRC, I was in the middle of moving a window when it crashed. Sorry I don't have more details since it was out of the blue.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_unmanage
executable:     /usr/bin/gnome-shell
global_pid:     1884
kernel:         4.10.8-200.fc25.x86_64
package:        gnome-shell-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Philipp Raich 2017-05-31 14:14:30 UTC
*** Bug 1457334 has been marked as a duplicate of this bug. ***

Comment 18 GERARDOSbox-listas 2017-06-03 11:18:28 UTC
*** Bug 1458486 has been marked as a duplicate of this bug. ***

Comment 19 Biji 2017-07-05 07:08:42 UTC
*** Bug 1467782 has been marked as a duplicate of this bug. ***

Comment 20 Fedora End Of Life 2017-11-16 14:36:59 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 21 Fedora End Of Life 2017-12-12 10:24:43 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.